/**
  *  \file flak/dlg-select.h
  *
  *  (c) 2001-2010 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_FLAK_DLG_SELECT_H
#define PCC_V2_FLAK_DLG_SELECT_H

#include "ui/ui.h"
#include "cpluslib/sigslot.h"
#include "flak/flak-db.h"

class FlakVcrSelector : public UIWidget {
    GFlakVcrDatabase& db;
    int current;

 public:
    FlakVcrSelector(GFlakVcrDatabase& db);
    ~FlakVcrSelector();

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& li);

    void next(int);
    void previous(int);
    void showInfo();

    void setCurrent(int pos);
    int getCurrent() const
        { return current; }
    GFlakVcrDatabase& getDatabase() const
        { return db; }

    Signal0 sig_scrolled;
};

#endif
